Bug 442404 - Review Request: efreet - An implementation of several specifications from freedesktop.org
Review Request: efreet - An implementation of several specifications from fre...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On: 442353
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 13:48 EDT by Pavel Shevchuk
Modified: 2008-05-16 14:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 14:04:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Shevchuk 2008-04-14 13:48:23 EDT
Spec URL: http://rpm.scwlab.com/efreet-goes-rawhide/efreet.spec
SRPM URL: http://rpm.scwlab.com/efreet-goes-rawhide/efreet-0.0.3.042-1.fc9.src.rpm
RPMs for i386 and x86_64 built in mock: http://rpm.scwlab.com/efreet-goes-rawhide/

Description:
An implementation of several specifications from freedesktop.org intended for
use in Enlightenment DR17 (e17) and other applications using the Enlightenment
Foundation Libraries (EFL). Currently, the following specifications are 
included:
  o Base Directory
  o Desktop Entry
  o Icon Theme
  o Menu

Documentation is absent for this release. It's upstream bug that should be fixed in next release. Otherwise RPMLint is silent.
License is a bit customized, but Tom "spot" Callawayin from fedora-legal-list 
said it's MIT ( https://www.redhat.com/archives/fedora-legal-list/2008-April/
msg00020.html )
I've been able to successfully use rpms built in mock on different machine to 
built software against this library.
Comment 1 Pavel Shevchuk 2008-05-03 23:28:11 EDT
* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.0.3.042-2
- Fixed missing dependencies for efreet-devel
- Fixed timestamp of source tarball
- Preserve timestamps of installed files

New spec: http://rpm.scwlab.com/efreet-goes-rawhide/efreet.spec
New SRPM: http://rpm.scwlab.com/fedora/e/9/efreet-0.0.3.042-2.fc9.x86_64/
efreet-0.0.3.042-2.fc9.src.rpm
Built RPMs: http://rpm.scwlab.com/fedora/e/9/
Comment 2 Patrice Dumas 2008-05-15 15:59:58 EDT
pkgconfig Requires missing for -devel.

Otherwise

* rpmlint is almost silent
efreet-devel.i386: W: no-documentation
* follow guidelines
* free software almost MIT, included
* match upstream
d6ff6e116a839ce81821359a1cc2924a  efreet-0.0.3.042.tar.bz2
* %files section right
* lib rightly packaged

APPROVED, provided you add the pkgconfig dep.
Comment 3 Pavel Shevchuk 2008-05-15 16:09:16 EDT
New Package CVS Request
=======================
Package Name: efreet
Short Description: An implementation of several specifications from 
freedesktop.org
Owners: stalwart
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 4 Hans de Goede 2008-05-15 16:11:29 EDT
Erm, yes approved, that was just what I was going to say too, as I was kinda
asked to review this, Ah well no hard feelings :)

Comment 5 Pavel Shevchuk 2008-05-15 16:19:32 EDT
Sorry for race condition =P
Comment 6 Patrice Dumas 2008-05-15 16:29:31 EDT
There is something a bit strange, what is in stalled in %_datadir and
the installed programs seems to be test programs and not real utilities. 
Should they really be installed?
Comment 7 Pavel Shevchuk 2008-05-15 16:59:35 EDT
Contacted upstream. Those are indeed unittests, and can be stripped out with no 
negative side-effect. Will fix before commiting to cvs
Comment 8 Kevin Fenzi 2008-05-15 18:56:53 EDT
cvs done.
Comment 9 Pavel Shevchuk 2008-05-16 14:04:59 EDT
Imported to cvs, built for rawhide. Thanks to everyone!

Note You need to log in before you can comment on or make changes to this bug.